- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions

# QCursor Class Reference

Search for all occurrences

## Detailed Description

Definition at line 89 of file qcursor.h.

`#include <qcursor.h>`

List of all members.

## Public Member Functions
| QCursor ()
| QCursor (Qt::CursorShape shape)
| QCursor (const QBitmap &bitmap, const QBitmap &mask, int hotX=-1, int hotY=-1)
| QCursor (const QPixmap &pixmap, int hotX=-1, int hotY=-1)
| QCursor (const QCursor &cursor)
| ~QCursor ()
QCursor & | operator= (const QCursor &cursor)
| operator QVariant () const
Qt::CursorShape | shape () const
void | setShape (Qt::CursorShape newShape)
const QBitmap * | bitmap () const
const QBitmap * | mask () const
QPixmap | pixmap () const
QPoint | hotSpot () const
## Static Public Member Functions
static QPoint | pos ()
static void | setPos (int x, int y)
static void | setPos (const QPoint &p)

## Constructor & Destructor Documentation

QCursor | ( |  | ) |

QCursor | ( | Qt::CursorShape | shape | ) |

QCursor | ( | const QBitmap & | bitmap,
|  | const QBitmap & | mask,
|  | int | hotX = `-1`,
|  | int | hotY = `-1`
| ) |  |

QCursor | ( | const QPixmap & | pixmap,
|  | int | hotX = `-1`,
|  | int | hotY = `-1`
| ) |  |

QCursor | ( | const QCursor & | cursor | ) |

~QCursor | ( |  | ) |

## Member Function Documentation

QCursor& operator= | ( | const QCursor & | cursor | ) |

operator QVariant | ( |  | ) | const

Qt::CursorShape shape | ( |  | ) | const

Search for all occurrences

void setShape | ( | Qt::CursorShape | newShape | ) |

Search for all occurrences

const QBitmap* bitmap | ( |  | ) | const

Search for all occurrences

const QBitmap* mask | ( |  | ) | const

Search for all occurrences

QPixmap pixmap | ( |  | ) | const

Search for all occurrences

QPoint hotSpot | ( |  | ) | const

Search for all occurrences

static QPoint pos | ( |  | ) | `[static]`

Search for all occurrences

static void setPos | ( | int | x,
|  | int | y
| ) |  | `[static]`

Search for all occurrences

static void setPos | ( | const QPoint & | p | ) | `[inline, static]`

Search for all occurrences

Definition at line 111 of file qcursor.h.

    { setPos(p.x(), p.y()); }

The documentation for this class was generated from the following file:

- QtGui/qcursor.h

QCursor QCursor QCursor QCursor QCursor QCursor QCursor QCursor QCursor QCursor
QCursor QCursor QCursor QCursor QCursor QCursor QCursor QCursor QCursor QCursor